document.addEventListener('DOMContentLoaded', function() {
  const tables = document.querySelectorAll('table');
  
  tables.forEach(table => {
    const headers = table.querySelectorAll('th');
    const rows = table.querySelectorAll('tr');
    
    rows.forEach(row => {
      row.addEventListener('click', () => {
        const cells = row.querySelectorAll('td');
        const roleData = {};
        
        cells.forEach((cell, index) => {
          roleData[headers[index].textContent] = cell.textContent;
        });
        
        highlightRow(row);
      });
    });
  });
});

function highlightRow(row) {
  const allRows = document.querySelectorAll('tr');
  allRows.forEach(r => r.classList.remove('selected'));
  row.classList.add('selected');
}
